// SPDX-License-Identifier: GPL-3.0-or-later
// Syscall number definitions
// This file was generated by scripts/gen_syscall.py

#pragma once

// expand to 1 if syscall is defined, 0 otherwise
#define SYSCALL_DEFINED(name) (SYSCALL_##name > 0)

#define SYSCALL_vfs_openat 1
#define SYSCALL_NAME_1 vfs_openat

#define SYSCALL_vfs_fstatat 2
#define SYSCALL_NAME_2 vfs_fstatat

#define SYSCALL_io_read 3
#define SYSCALL_NAME_3 io_read

#define SYSCALL_io_write 4
#define SYSCALL_NAME_4 io_write

#define SYSCALL_io_close 5
#define SYSCALL_NAME_5 io_close

#define SYSCALL_exit 6
#define SYSCALL_NAME_6 exit

#define SYSCALL_yield_cpu 7
#define SYSCALL_NAME_7 yield_cpu

#define SYSCALL_fork 8
#define SYSCALL_NAME_8 fork

#define SYSCALL_get_pid 10
#define SYSCALL_NAME_10 get_pid

#define SYSCALL_get_parent_pid 11
#define SYSCALL_NAME_11 get_parent_pid

#define SYSCALL_spawn 12
#define SYSCALL_NAME_12 spawn

#define SYSCALL_create_thread 13
#define SYSCALL_NAME_13 create_thread

#define SYSCALL_get_tid 14
#define SYSCALL_NAME_14 get_tid

#define SYSCALL_thread_exit 15
#define SYSCALL_NAME_15 thread_exit

#define SYSCALL_heap_control 16
#define SYSCALL_NAME_16 heap_control

#define SYSCALL_wait_for_thread 17
#define SYSCALL_NAME_17 wait_for_thread

#define SYSCALL_futex_wait 18
#define SYSCALL_NAME_18 futex_wait

#define SYSCALL_futex_wake 19
#define SYSCALL_NAME_19 futex_wake

#define SYSCALL_ipc_create 20
#define SYSCALL_NAME_20 ipc_create

#define SYSCALL_ipc_accept 21
#define SYSCALL_NAME_21 ipc_accept

#define SYSCALL_ipc_connect 22
#define SYSCALL_NAME_22 ipc_connect

#define SYSCALL_arch_syscall 23
#define SYSCALL_NAME_23 arch_syscall

#define SYSCALL_vfs_mount 24
#define SYSCALL_NAME_24 vfs_mount

#define SYSCALL_vfs_readlinkat 25
#define SYSCALL_NAME_25 vfs_readlinkat

#define SYSCALL_vfs_symlink 27
#define SYSCALL_NAME_27 vfs_symlink

#define SYSCALL_vfs_mkdir 28
#define SYSCALL_NAME_28 vfs_mkdir

#define SYSCALL_vfs_list_dir 29
#define SYSCALL_NAME_29 vfs_list_dir

#define SYSCALL_mmap_anonymous 31
#define SYSCALL_NAME_31 mmap_anonymous

#define SYSCALL_mmap_file 32
#define SYSCALL_NAME_32 mmap_file

#define SYSCALL_wait_for_process 33
#define SYSCALL_NAME_33 wait_for_process

#define SYSCALL_munmap 34
#define SYSCALL_NAME_34 munmap

#define SYSCALL_vfs_chdir 35
#define SYSCALL_NAME_35 vfs_chdir

#define SYSCALL_vfs_getcwd 36
#define SYSCALL_NAME_36 vfs_getcwd

#define SYSCALL_io_seek 37
#define SYSCALL_NAME_37 io_seek

#define SYSCALL_io_tell 38
#define SYSCALL_NAME_38 io_tell

#define SYSCALL_signal_register 39
#define SYSCALL_NAME_39 signal_register

#define SYSCALL_signal_process 40
#define SYSCALL_NAME_40 signal_process

#define SYSCALL_signal_thread 41
#define SYSCALL_NAME_41 signal_thread

#define SYSCALL_poweroff 42
#define SYSCALL_NAME_42 poweroff

#define SYSCALL_signal_return 43
#define SYSCALL_NAME_43 signal_return

#define SYSCALL_vm_protect 44
#define SYSCALL_NAME_44 vm_protect

#define SYSCALL_io_poll 45
#define SYSCALL_NAME_45 io_poll

#define SYSCALL_io_pselect 46
#define SYSCALL_NAME_46 io_pselect

#define SYSCALL_execveat 47
#define SYSCALL_NAME_47 execveat

#define SYSCALL_clock_msleep 48
#define SYSCALL_NAME_48 clock_msleep

#define SYSCALL_io_dup 49
#define SYSCALL_NAME_49 io_dup

#define SYSCALL_io_dup2 50
#define SYSCALL_NAME_50 io_dup2

#define SYSCALL_dmabuf_alloc 51
#define SYSCALL_NAME_51 dmabuf_alloc

#define SYSCALL_dmabuf_free 52
#define SYSCALL_NAME_52 dmabuf_free

#define SYSCALL_dmabuf_share 53
#define SYSCALL_NAME_53 dmabuf_share

#define SYSCALL_dmabuf_unshare 54
#define SYSCALL_NAME_54 dmabuf_unshare

#define SYSCALL_pipe 55
#define SYSCALL_NAME_55 pipe

#define SYSCALL_io_readv 56
#define SYSCALL_NAME_56 io_readv

#define SYSCALL_vfs_unmount 57
#define SYSCALL_NAME_57 vfs_unmount

#define SYSCALL_clock_gettimeofday 58
#define SYSCALL_NAME_58 clock_gettimeofday

#define SYSCALL_thread_setname 59
#define SYSCALL_NAME_59 thread_setname

#define SYSCALL_thread_getname 60
#define SYSCALL_NAME_60 thread_getname

#define SYSCALL_vfs_fchmodat 61
#define SYSCALL_NAME_61 vfs_fchmodat

#define SYSCALL_io_pread 62
#define SYSCALL_NAME_62 io_pread

